Composer picking up wrong project

Composer is finding the wrong project when I type composer require drupal/private_content:

CORRECT: Latest release from the private_content module.
ACTUAL: Outdated unsupported release from private module https://www.drupal.org/project/private/releases/8.x-2.0-alpha2

It’s true that the D8 version of the private project contains a module named private_content. However I would expect that a project with the correct name ought to take precedence.


Source: https://www.drupal.org/project/issues/rss/infrastructure